extends PopupPanel


var FA = FAParser.new()


func _on_Close_pressed():
	hide()


func _on_Import_pressed():
	if not $VB/Username.text.empty():
		var user = $VB/Username.text
		var header = PoolStringArray([
			"Cookie: a=%s; b=%s"%[$"%CookieA".text,$"%CookieB".text]
		])
		$HTTPRequest.request("https://www.furaffinity.net/watchlist/by/"+user+"/",header)


func _on_HTTPRequest_request_completed(result, response_code, headers, body):
	FA.open_buffer(body)
	var list = FA.get_user_watchlist()
	print(list)
	if not list.empty():
		get_node("%Watches").text = list.join(" ")
		hide()
