extends Node
class_name GalleryGather


var started = false
signal GatheringComplete
var pages:PoolStringArray = []
var stuff_loaded:int = 0
var stuff_requested:int = 0
var blacklist:PoolStringArray
var sub_data:Dictionary = {}


func _process(delta):
	if started and get_child_count() == 0:
		emit_signal("GatheringComplete",sub_data)
		print("Gathering Complete")
		started = false
		#Global.load_status_label.text = "Done."


# note to self. make the parameter pages instead.
func gather(least_id:int = 0):
	blacklist = Settings.settings.BlackList
	print("loading %d pages"%[pages.size()])
	$"%Log".text += "\nloading %d pages"%[pages.size()]
	$"%LoadStatus".text = "Loading Gallery Pages:"
	$"%Loading".max_value = pages.size()
	$"%Loading".value = 0
	for page in pages:
		var G = GalleryRequest.new()
		G.url = FAParser.url(page)
		G.least_id = least_id
		add_child(G)
		stuff_requested += 1
		started = true
